## org.firebirdsql.gds.impl.jni
Class XSQLVARBigEndianImpl

    java.lang.Object
      org.firebirdsql.gds.XSQLVAR
          org.firebirdsql.gds.impl.jni.XSQLVARImpl
              org.firebirdsql.gds.impl.jni.XSQLVARBigEndianImpl

    public class XSQLVARBigEndianImpl

extends XSQLVARImpl

Implementation of `XSQLVAR` class for big-endian platforms (like Solaris).

Field Summary

Fields inherited from class org.firebirdsql.gds.XSQLVAR
`aliasname, coder, ownname, relname, sqldata, sqllen, sqlname, sqlscale, sqlsubtype, sqltype`

Constructor Summary
`XSQLVARBigEndianImpl()` Create default instance of this class.
`XSQLVARBigEndianImpl(int sqltype, int sqlscale, int sqlsubtype, int sqllen, byte[] sqldata, String sqlname, String relname, String ownname, String aliasname)` Create instance of this class for the specified XSQLVAR parameters.

Method Summary
`short` `decodeShort(byte[] byte_int)` Decode a `byte` array into a `short` value.
`XSQLVAR` `deepCopy()` Get a deep copy of this object.
`byte[]` `encodeShort(short value)` Encode a `short` value as a `byte` array.

Methods inherited from class org.firebirdsql.gds.XSQLVAR
`copyFrom, copyFrom, decodeDate, decodeDate, decodeDouble, decodeFloat, decodeInt, decodeLong, decodeString, decodeTime, decodeTime, decodeTimestamp, decodeTimestamp, decodeTimestamp, encodeDate, encodeDate, encodeDouble, encodeFloat, encodeInt, encodeLong, encodeString, encodeString, encodeTime, encodeTime, encodeTimestamp, encodeTimestamp, encodeTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLVARBigEndianImpl

    public XSQLVARBigEndianImpl()

  Create default instance of this class.

### XSQLVARBigEndianImpl

    public XSQLVARBigEndianImpl(int sqltype,
                                int sqlscale,
                                int sqlsubtype,
                                int sqllen,
                                byte[] sqldata,
                                String sqlname,
                                String relname,
                                String ownname,
                                String aliasname)

  Create instance of this class for the specified XSQLVAR parameters.

Method Detail

### deepCopy

    public XSQLVAR deepCopy()

  Description copied from class: `XSQLVAR`
  Get a deep copy of this object.

  Overrides:
    `deepCopy` in class `XSQLVAR`
  Returns:
    deep copy of this object.

### encodeShort

    public byte[] encodeShort(short value)

  Description copied from class: `XSQLVAR`
  Encode a `short` value as a `byte` array.

  Overrides:
    `encodeShort` in class `XSQLVAR`
  Parameters:
    `value` - The value to be encoded
  Returns:
    The value of `value` encoded as a `byte` array

### decodeShort

    public short decodeShort(byte[] byte_int)

  Description copied from class: `XSQLVAR`
  Decode a `byte` array into a `short` value.

  Overrides:
    `decodeShort` in class `XSQLVAR`
  Parameters:
    `byte_int` - The `byte` array to be decoded
  Returns:
    The `short` value of the decoded `byte` array

Copyright © 2001-2010. All Rights Reserved.